aboutsummaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authormoneromooo-monero <moneromooo-monero@users.noreply.github.com>2015-07-14 20:28:25 +0100
committermoneromooo-monero <moneromooo-monero@users.noreply.github.com>2015-07-14 20:28:25 +0100
commit78b2eabc8753056fd363db6fc449bbcddec9fcb8 (patch)
tree9ef2ef5de473cda7f0fbe794ef972d1cd0d0489f /utils
parentMerge pull request #331 (diff)
downloadmonero-78b2eabc8753056fd363db6fc449bbcddec9fcb8.tar.xz
Translatable strings for simplewallet
The system is mostly the Qt system, but we don't use Qt to avoid the dependencies. See README.i18n for details.
Diffstat (limited to 'utils')
-rwxr-xr-xutils/translations/build-translations.sh16
-rwxr-xr-xutils/translations/update-translations.sh16
2 files changed, 32 insertions, 0 deletions
diff --git a/utils/translations/build-translations.sh b/utils/translations/build-translations.sh
new file mode 100755
index 000000000..0956e633f
--- /dev/null
+++ b/utils/translations/build-translations.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+lrelease=`which lrelease 2> /dev/null`
+if test -z "$lrelease"
+then
+ lrelease=`which lrelease-qt4 2> /dev/null`
+fi
+if test -z "$lrelease"
+then
+ echo "lrelease not found"
+ exit 1
+fi
+
+echo "using $lrelease"
+"$lrelease" translations/*.ts
+
diff --git a/utils/translations/update-translations.sh b/utils/translations/update-translations.sh
new file mode 100755
index 000000000..778aa5176
--- /dev/null
+++ b/utils/translations/update-translations.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+lupdate=`which lupdate 2> /dev/null`
+if test -z "$lupdate"
+then
+ lupdate=`which lupdate-qt4 2> /dev/null`
+fi
+if test -z "$lupdate"
+then
+ echo "lupdate not found"
+ exit 1
+fi
+
+echo "using $lupdate"
+"$lupdate" `find src -name \*.cpp` -ts translations/*.ts
+